Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158871 - acpid socket mislabeled
Summary: acpid socket mislabeled
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-26 14:05 UTC by Colin Walters
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-25 14:57:53 UTC


Attachments (Terms of Use)

Description Colin Walters 2005-05-26 14:05:26 UTC
Description of problem:
type=AVC msg=audit(1117116099.329:241743): avc:  denied  { unlink } for 
name=acpid.socket dev=dm-0 ino=33694 scontext=root:system_r:apmd_t
tcontext=system_u:object_r:var_run_t tclass=sock_file
type=PATH msg=audit(1117116099.329:241743): item=0 name="/var/run/acpid.socket"
inode=32612 dev=fd:00 mode=040755 ouid=0 ogid=0 rdev=00:00type=SYSCALL
msg=audit(1117116099.329:241743): syscall=10 arch=40000003 success=yes exit=0
a0=804af99 a1=2 a2=0 a3=400 items=1 pid=29536 loginuid=-1 uid=0 gid=0 euid=0
suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 comm=acpid exe=/usr/sbin/acpid

Sometimes apcid doesn't start; looks like acpid.socket gets the wrong context.
This doesn't happen all of the time; actually it does seem to roughly correspond
with when i've 'yum update'd.  Perhaps it has something to do with policy upgrades?

Comment 1 Daniel Walsh 2005-06-08 17:34:13 UTC
I don't see how this can happen, unless some unconfined_t process tried to run
acpid directly.  (No transition).

I checked the spec file and the initrc scripts.  THey should all create the file
with the proper context.

Dan

Comment 2 Colin Walters 2005-06-13 18:47:54 UTC
Ok, we can close it I guess then; dunno.  If it happens again I'll try to track
it down.


Note You need to log in before you can comment on or make changes to this bug.